__gnu_pbds::direct_mask_range_hashing< Size_Type > Class Template Reference

`#include <hash_policy.hpp>`

Inheritance diagram for __gnu_pbds::direct_mask_range_hashing< Size_Type >:
[legend]

## Public Types

typedef Size_Type | size_type

## Public Member Functions

void | swap (direct_mask_range_hashing< Size_Type > &other)

## Protected Member Functions

void | notify_resized (size_type size)
size_type | operator() (size_type hash) const
size_type | range_hash (size_type hash) const
void | swap (mask_based_range_hashing &other)

## Detailed Description

template<typename Size_Type = std::size_t>
class __gnu_pbds::direct_mask_range_hashing< Size_Type >

A mask range-hashing class (uses a bitmask).

Definition at line 109 of file hash_policy.hpp.

## Member Typedef Documentation

## size_type

template<typename Size_Type = std::size_t>

typedef Size_Type __gnu_pbds::direct_mask_range_hashing< Size_Type >::size_type

Definition at line 116 of file hash_policy.hpp.

## Member Function Documentation

## notify_resized()

template<typename Size_Type>

void __gnu_pbds::direct_mask_range_hashing< Size_Type >::notify_resized | ( | size_type | size | ) |

protected

Definition at line 52 of file hash_policy.hpp.

## operator()()

template<typename Size_Type>

direct_mask_range_hashing< Size_Type >::size_type __gnu_pbds::direct_mask_range_hashing< Size_Type >::operator() | ( | size_type | hash | ) | const

inline protected

Transforms the __hash value hash into a ranged-hash value (using a bit-mask).

Definition at line 58 of file hash_policy.hpp.

## range_hash()

size_type __gnu_pbds::detail::mask_based_range_hashing< std::size_t >::range_hash | ( | size_type | hash | ) | const

inline protected inherited

Definition at line 63 of file mask_based_range_hashing.hpp.

## swap() [1/2]

void __gnu_pbds::detail::mask_based_range_hashing< std::size_t >::swap | ( | mask_based_range_hashing< std::size_t > & | other | ) |

inline protected inherited

Definition at line 56 of file mask_based_range_hashing.hpp.

## swap() [2/2]

template<typename Size_Type>

void __gnu_pbds::direct_mask_range_hashing< Size_Type >::swap | ( | direct_mask_range_hashing< Size_Type > & | other | ) |

Definition at line 46 of file hash_policy.hpp.

The documentation for this class was generated from the following file:

- hash_policy.hpp